//
//  LKBitmapContext.h
//  Vectors
//
//  Created by Károly Lőrentey on 2010. 5. 19.
//  Copyright 2010 Károly Lőrentey. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreGraphics/CoreGraphics.h>
#import <UIKit/UIKit.h>

@interface LKBitmapContext : NSObject {
    CGContextRef _context;
}
@property (nonatomic, readonly) size_t width;
@property (nonatomic, readonly) size_t height;

@property (nonatomic, readonly) CGContextRef CGContext;

- (id)initWithWidth:(size_t)width height:(size_t)height alpha:(BOOL)alpha;
- (UIImage *)image;
@end
