//
//  LKTileLayer.h
//  Vectors
//
//  Created by Károly Lőrentey on 2011-01-01.
//  Copyright 2011 Károly Lőrentey. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <QuartzCore/QuartzCore.h>
#import "LKBitmapContext.h"

@interface LKTileLayer : CALayer
{
@public
    NSInteger _row;
    NSInteger _column;
@private
    LKBitmapContext *_bc;
    // Debug info:
    NSUInteger _index;
}
@property (nonatomic, readonly) NSUInteger index;
@property (nonatomic, assign) NSInteger row;
@property (nonatomic, assign) NSInteger column;
@property (nonatomic, retain) LKBitmapContext *bitmapContext;
@end
